Agda-2.8.0: A dependently typed functional programming language and proof assistant

Safe Haskell | None
Language | Haskell2010

Agda.Interaction.Options.Help

Synopsis

- data Help
  - = GeneralHelp
  - | HelpFor HelpTopic
- helpTopicUsage :: HelpTopic -> String
- string2HelpTopic :: String -> Maybe HelpTopic
- allHelpTopics :: [(String, HelpTopic)]

# Documentation

data Help Source #

Interface to the `help` function

Constructors

GeneralHelp | General usage information
HelpFor HelpTopic | Specialised usage information about TOPIC

#### Instances

Instances details

NFData Help Source # |
Instance details Defined in Agda.Interaction.Options.Help Methods rnf :: Help -> () Source #
Generic Help Source # |

Instance details

Defined in Agda.Interaction.Options.Help

Associated Types

type Rep Help |
Instance details Defined in Agda.Interaction.Options.Help type Rep Help

Methods

from :: Help -> Rep Help x Source #

to :: Rep Help x -> Help Source #

Show Help Source # |
Instance details Defined in Agda.Interaction.Options.Help Methods showsPrec :: Int -> Help -> ShowS Source # show :: Help -> String Source # showList :: [Help] -> ShowS Source #
Eq Help Source # |
Instance details Defined in Agda.Interaction.Options.Help Methods (==) :: Help -> Help -> Bool Source # (/=) :: Help -> Help -> Bool Source #
type Rep Help Source # |
Instance details Defined in Agda.Interaction.Options.Help type Rep Help

helpTopicUsage :: HelpTopic -> String Source #

Usage information generation

string2HelpTopic :: String -> Maybe HelpTopic Source #

Conversion functions to strings

allHelpTopics :: [(String, HelpTopic)] Source #